Package com.io7m.smfj.format.binary2.internal.serial.be

## Class WriterBEUnsigned1_16

- java.lang.Object
- - com.io7m.smfj.format.binary2.internal.serial.WriterBase
  - - com.io7m.smfj.format.binary2.internal.serial.be.WriterBEUnsigned1_16

- All Implemented Interfaces:
    `SMFSerializerDataAttributesValuesType`, `java.io.Closeable`, `java.lang.AutoCloseable`

      public final class WriterBEUnsigned1_16
      extends WriterBase

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WriterBEUnsigned1_16​(com.io7m.jbssio.api.BSSWriterSequentialType in_writer, SMFAttribute in_attribute)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `serializeValueIntegerUnsigned1​(long x)` | Must be overridden for writers that accept values of this type.

    - ### Methods inherited from class com.io7m.smfj.format.binary2.internal.serial.WriterBase

      `close, serializeValueFloat1, serializeValueFloat2, serializeValueFloat3, serializeValueFloat4, serializeValueIntegerSigned1, serializeValueIntegerSigned2, serializeValueIntegerSigned3, serializeValueIntegerSigned4, serializeValueIntegerUnsigned2, serializeValueIntegerUnsigned3, serializeValueIntegerUnsigned4, writer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterBEUnsigned1_16

          public WriterBEUnsigned1_16​(com.io7m.jbssio.api.BSSWriterSequentialType in_writer,
                                      SMFAttribute in_attribute)

  - ### Method Detail

    - #### serializeValueIntegerUnsigned1

          public void serializeValueIntegerUnsigned1​(long x)
                                              throws java.io.IOException

      Description copied from class: `WriterBase`
      Must be overridden for writers that accept values of this type.
      Specified by:
        `serializeValueIntegerUnsigned1` in interface `SMFSerializerDataAttributesValuesType`
      Overrides:
        `serializeValueIntegerUnsigned1` in class `WriterBase`
      Parameters:
        `x` - The x value
      Throws:
        `java.io.IOException` - On I/O errors